Fetchmail blockiert angeblich Upgrade

mail
german

#1

Ich versuche seit geraumer Zeit eine Fehlermeldung auf einem Memberserver zu beseitigen:

root@zarafa:# univention-upgrade 

Starting univention-upgrade. Current UCS version is 4.0-1 errata216

Checking for local repository:                          none
Checking for release updates:                          The update to UCS 4.0 is blocked because the component 'fetchmail' is marked as required.
 none
Checking for package updates:                           none
The update to UCS 4.0 is blocked because the component 'fetchmail' is marked as required.

Eine Deinstallation der Komponente auf allen Servern blieb leider ohne Erfolg.
Die Ausführung von univention-add-app --all -l fetchmail läuft ohne Fehler durch besitigt aber den Fehler nicht. Die Weboberfläche des Members zeigt ebenfalls diesen Stand der Aktualisierung (4.0.1 Errata 216). Fetchmail taucht in der Weboberfläche auch auf dem DC als installiert auf.

Wenn Errata zur Verfügung stehen können diese aber normal über die Weboberfläche installiert werden. Zarafa hat zum Beispiel Version 7,1,13,51032

Wo könnte es noch haken?


#2

Ich konnte das Problem nun selbst lösen:

In der UCR war fetchmail noch als Komponente aktiviert.
Ein

repository/online/component/fetchmail= disabled

Ließ das Update dann durchlaufen.